#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libX11
Version		:	1.8.7
Release		:	16.2.0.rel%{?dist}
Summary		:	Core X11 protocol client library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/lib/

Source0		:	%{shortname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	libxcb
BuildRequires	:	xorg-util-macros
BuildRequires	:	xorg-xtrans
#-----------------------------------------------------------------------------
%description
libX11 common data

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md
%{_includedir}/X11/*.h
%{_includedir}/X11/extensions/XKBgeom.h
%{_libdir}/%{shortname}.so*
%{_libdir}/%{shortname}-xcb.so*
%{_libdir}/pkgconfig/*.pc
%{_defaultdocdir}/%{shortname}/*.xml
%{_defaultdocdir}/i18n/*/*.{xml,svg}
%{_defaultdocdir}/XKB/*.{xml,svg}
%{_defaultdocdir}/XIM/*.{xml,svg}
%{_datadir}/X11/*
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/*.5.gz

#=============================================================================
%prep
%setup -q -n %{shortname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

autoreconf -vif
./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}			\
	--disable-static				\


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL="install -p"				\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
